Title: Scaling - Ceph
Status: In Progress

# Scaling - Ceph

## Introduction

Beside the redundancy for more safety and the higher performance through the usage of 
Ceph as storage backend for OpenStack the user also benefits from the more simple way
of scaling the storage of the needs grow.

## Scope

**TODO**

## Scaling

The addition of Ceph nodes is done using the Juju `add-node` command. By default
it adds only one node, but it is possible to add the number of wanted nodes as
argument. To add one more Ceph OSD Daemon node you simply call

```
juju add-node ceph-osd
```

Larger numbers of nodes can be added using the `-n` argument, e.g. 5 nodes
with

```
juju add-node -n 5 ceph-osd
```

**Attention:** The adding of more nodes to Ceph leads to a redistribution of data
between the nodes of an image. This can cause inefficiencies during this process. So
it should be done in smaller steps.

