Title: Upgrading and Patching - Juju
Status: In Progress

# Upgrading and Patching - Juju

## Introduction

**TODO**

## Scope

**TODO**

## Upgrading

The upgrade of a Juju environment is done using the Juju client and its command

````
$ juju upgrade-juju
````

This command sets the version number for all Juju agents to run. This by default
is the most recent supported version compatible with the comand-line tools version.
So ensure that you've upgraded the Juju client first.

When run without arguments, `upgrade-juju` will try to upgrade to the following 
versions, in order of preference and depending on the current value of the 
environment's `agent-version` setting:

- The highest patch.build version of the *next* stable major.minor version.
- The highest patch.build version of the *current* major.minor version.

Both of these depend on the availability of the according tools. On MAAS you've
got to manage this yourself using the command

````
$ juju sync-tools
````

This copies the Juju tools tarball from the official tools store (located
at https://streams.canonical.com/juju) into your environment.

## Patching

**TODO**
